Msp Log
15 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAuditLogsForMsp | GET | Get MSP audit log list |
| getAuditLogSettingForMsp_2 | GET | Get MSP audit log notification |
| modifyAuditLogSettingMsp | PATCH | Modify MSP audit log notification |
| getLogSettingForMsp | GET | Get MSP log notification (deprecated) |
| modifyLogSettingMsp | PATCH | Modify MSP log notification (deprecated) |
| getLogSettingForMspV2 | GET | Get MSP log notification v2 |
| modifyLogSettingMspV2 | PATCH | Modify MSP log notification v2 |
| getAlertLogsForMsp | GET | Get MSP alert log list |
| deleteAlertLogsForMsp | DELETE | Delete MSP alert log |
| resolveAlertForMsp | POST | Resolve MSP alert log |
| exportAuditLogListForGlobal_1 | POST | Export audit log list in MSP view |
| getEventLogsForMsp | GET | Get MSP event log list |
| deleteEventLogsForMsp | DELETE | Delete MSP event log |
| exportLogListForMsp | POST | Export log list in MSP view |
| resetLogSettingMsp | POST | Reset MSP log notification |
getAuditLogsForMsp
GET /openapi/v1/msp/{mspId}/audit-logs
Get MSP audit log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
sorts.time | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.result | query | integer | no | Filter query parameters, support field result,it should be a value as follows: 0: successful; 1: failed,example:0 |
filters.level | query | string | no | Filter query parameters, support field level,it should be a value as follows: Error; Warning; Information, example:Error |
filters.auditTypes | query | string | no | Filter query parameters, support field auditTypes, for the values of auditLog type, refer to section 5.2.2 of the Open API Access Guide, example:Log,Cloud Access,User Interface. |
filters.times | query | string | no | Filter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}]. |
searchKey | query | string | no | Fuzzy query parameters, support field content |
// omada_call_operation
{
"operationId": "getAuditLogsForMsp"
}Details, permissions and error codes
Get audit logs in msp audit page.
The interface requires one of the permissions:
MSP Log Manager View Only
getAuditLogSettingForMsp_2
GET /openapi/v1/msp/{mspId}/audit-notification
Get MSP audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getAuditLogSettingForMsp_2"
}Details, permissions and error codes
Get msp audit log notification.
The interface requires one of the permissions:
MSP Log Manager View Only
modifyAuditLogSettingMsp
PATCH /openapi/v1/msp/{mspId}/audit-notification
Modify MSP audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | yes | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
auditLogNotifications | array<AuditLogNotificationEditOpenApiVO> | yes | Audit Log Notification List |
// omada_call_operation
{
"operationId": "modifyAuditLogSettingMsp",
"body": "{...}"
}Details, permissions and error codes
Modify MSP audit log notification.
The interface requires one of the permissions:
MSP Log Manager Modify
getLogSettingForMsp
GET /openapi/v1/msp/{mspId}/log-notification
Deprecated
This operation is deprecated.
Get MSP log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getLogSettingForMsp"
}Details, permissions and error codes
Get msp log notification.This interface has been deprecated.Please use the following interface instead: Get MSP log notification v2.
The interface requires one of the permissions:
MSP Log Manager View Only
modifyLogSettingMsp
PATCH /openapi/v1/msp/{mspId}/log-notification
Deprecated
This operation is deprecated.
Modify MSP log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
logNotifications | array<LogNotificationEditOpenApiVO> | yes | Log Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingMsp",
"body": "{...}"
}Details, permissions and error codes
Modify MSP log notification.This interface has been deprecated.Please use the following interface instead: Modify MSP log notification v2.
The interface requires one of the permissions:
MSP Log Manager Modify
getLogSettingForMspV2
GET /openapi/v1/msp/{mspId}/log-notification-setting
Get MSP log notification v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getLogSettingForMspV2"
}Details, permissions and error codes
Get msp log notification.
The interface requires one of the permissions:
MSP Log Manager View Only
modifyLogSettingMspV2
PATCH /openapi/v1/msp/{mspId}/log-notification-setting
Modify MSP log notification v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiV2VO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
alertNotifications | array<LogNotificationEditOpenApiV2VO> | no | Alert Notification List |
eventNotifications | array<LogNotificationEditOpenApiV2VO> | no | Event Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
eventEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingMspV2",
"body": "{...}"
}Details, permissions and error codes
Modify MSP log notification.
The interface requires one of the permissions:
MSP Log Manager Modify
getAlertLogsForMsp
GET /openapi/v1/msp/{mspId}/logs/alerts
Get MSP alert log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.timeStart | query | integer | yes | Filter query parameters, support field 1679297710438 |
filters.timeEnd | query | integer | yes | Filter query parameters, support field 1681889710438 |
filters.module | query | string | no | Filter query parameters, support field module, it should be a value as follows: System, Device |
filters.resolved | query | boolean | no | Filter query parameters, support field resolved, it should be a value as follows: true, false |
// omada_call_operation
{
"operationId": "getAlertLogsForMsp",
"params": {
"filters.timeStart": "<filters.timeStart>",
"filters.timeEnd": "<filters.timeEnd>"
}
}Details, permissions and error codes
Get logs in MSP alert log page.
The interface requires one of the permissions:
MSP Log Manager View Only
deleteAlertLogsForMsp
DELETE /openapi/v1/msp/{mspId}/logs/alerts/delete
Delete MSP alert log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema DeleteMspAlertLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to delete; Log ID list can be obtained from 'Get MSP alert log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the delete msp alert log, unit: MS. |
endTime | integer | yes | The end timeStamp of the delete msp alert log, unit: MS. |
filterModule | string | no | The module of the delete msp alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "deleteAlertLogsForMsp",
"body": "{...}"
}Details, permissions and error codes
Delete MSP alert log.
The interface requires one of the permissions:
MSP Log Manager Modify
resolveAlertForMsp
POST /openapi/v1/msp/{mspId}/logs/alerts/resolve
Resolve MSP alert log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ResolveMspLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to resolve; Log ID list can be obtained from 'Get MSP alert log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the resolve msp alert log, unit: MS. |
endTime | integer | yes | The end timeStamp of the resolve msp alert log, unit: MS. |
filterModule | string | no | The module of the resolve msp alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "resolveAlertForMsp",
"body": "{...}"
}Details, permissions and error codes
Resolve MSP alert log.
The interface requires one of the permissions:
MSP Log Manager Modify
exportAuditLogListForGlobal_1
POST /openapi/v1/msp/{mspId}/logs/audit/export
Export audit log list in MSP view
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ExportMspLogOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
format | integer | yes | Parameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx. |
// omada_call_operation
{
"operationId": "exportAuditLogListForGlobal_1",
"body": "{...}"
}Details, permissions and error codes
Export audit log list in MSP view.
The interface requires one of the permissions:
MSP Export Data Access
getEventLogsForMsp
GET /openapi/v1/msp/{mspId}/logs/events
Get MSP event log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.timeStart | query | integer | yes | Filter query parameters, support field 1679297710438 |
filters.timeEnd | query | integer | yes | Filter query parameters, support field 1681889710438 |
filters.module | query | string | no | Filter query parameters, support field module, it should be a value as follows: System, Device |
// omada_call_operation
{
"operationId": "getEventLogsForMsp",
"params": {
"filters.timeStart": "<filters.timeStart>",
"filters.timeEnd": "<filters.timeEnd>"
}
}Details, permissions and error codes
Get logs in MSP event log page.
The interface requires one of the permissions:
MSP Log Manager View Only
deleteEventLogsForMsp
DELETE /openapi/v1/msp/{mspId}/logs/events/delete
Delete MSP event log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema DeleteMspEventLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to delete; Log ID list can be obtained from 'Get MSP event log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the delete msp event log, unit: MS. |
endTime | integer | yes | The end timeStamp of the delete msp event log, unit: MS. |
filterModule | string | no | The module of the delete msp event log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "deleteEventLogsForMsp",
"body": "{...}"
}Details, permissions and error codes
Delete MSP event log.
The interface requires one of the permissions:
MSP Log Manager Modify
exportLogListForMsp
POST /openapi/v1/msp/{mspId}/logs/export
Export log list in MSP view
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ExportMspLogOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
format | integer | yes | Parameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx. |
// omada_call_operation
{
"operationId": "exportLogListForMsp",
"body": "{...}"
}Details, permissions and error codes
Export log list in MSP view.
The interface requires one of the permissions:
MSP Export Data Access
resetLogSettingMsp
POST /openapi/v1/msp/{mspId}/reset/log-notification
Reset MSP log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "resetLogSettingMsp"
}Details, permissions and error codes
Reset MSP log notification.
The interface requires one of the permissions:
MSP Log Manager Modify